Bug 1740767 - Targeted refresh does not occur for openstack
Summary: Targeted refresh does not occur for openstack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.12
Assignee: Marek Aufart
QA Contact: Jad Haj Yahya
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1734338
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 15:27 UTC by Satoe Imaishi
Modified: 2019-11-06 17:16 UTC (History)
17 users (show)

Fixed In Version: 5.10.12.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1734338
Environment:
Last Closed: 2019-11-06 17:16:17 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2587 None None None 2019-09-05 05:25:29 UTC

Comment 2 CFME Bot 2019-08-14 17:11:20 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/hammer:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/aac58975f132d2d58a87748a6b2c09ecfa11304f
commit aac58975f132d2d58a87748a6b2c09ecfa11304f
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Aug  8 04:59:31 2019 -0400
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Aug  8 04:59:31 2019 -0400

    Merge pull request #491 from aufi/events_backread_switch

    Make events_backread switchable

    (cherry picked from commit a600714cdcfd7617a69102eae86fdbe1c28178b0)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1740767

 lib/manageiq/providers/openstack/legacy/events/openstack_ceilometer_event_monitor.rb | 14 +-
 1 file changed, 9 insertions(+), 5 deletions(-)

Comment 3 Ido Ovadia 2019-08-22 14:58:19 UTC
Verified
========
5.10.9.0

Comment 13 errata-xmlrpc 2019-09-05 05:25:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2587

Comment 19 dmetzger 2019-09-25 13:05:12 UTC
Rahul, can you provide access as requested in comment #17

Comment 31 CFME Bot 2019-10-22 13:06:35 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/1235f13bae2d3b209559a6ceb1c543f737a40192
commit 1235f13bae2d3b209559a6ceb1c543f737a40192
Author:     Marek Aufart <maufart@redhat.com>
AuthorDate: Thu Oct 17 06:59:18 2019 -0400
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Thu Oct 17 06:59:18 2019 -0400

    Don't send all_tenants flag for Panko with Keystone v2

    OpenStack Eventing service Panko should accept flag all_tenants which provides
    Events from all tenants. Unfortunately it doesn't work correctly with Keystone v2
    auth (v3 is OK).

    Skipping all_tenants flag for Panko with Keystone v2.

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1740767

 lib/manageiq/providers/openstack/legacy/events/openstack_ceilometer_event_monitor.rb | 7 +-
 spec/legacy/events/openstack_ceilometer_event_monitor_spec.rb | 20 +
 2 files changed, 26 insertions(+), 1 deletion(-)

Comment 32 CFME Bot 2019-10-22 13:52:14 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/hammer:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/e57e88663693fc9c6974fbe98c3e1f8613ed463e
commit e57e88663693fc9c6974fbe98c3e1f8613ed463e
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Oct 22 08:59:02 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Oct 22 08:59:02 2019 -0400

    Merge pull request #516 from aufi/fix_panko_keystonev2_notenants

    Don't send all_tenants flag for Panko with Keystone v2

    (cherry picked from commit 156c51367430f9fd4d7ea4225569488d34e15b32)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1740767

 lib/manageiq/providers/openstack/legacy/events/openstack_ceilometer_event_monitor.rb | 7 +-
 spec/legacy/events/openstack_ceilometer_event_monitor_spec.rb | 20 +
 2 files changed, 26 insertions(+), 1 deletion(-)

Comment 35 Jad Haj Yahya 2019-11-04 09:25:16 UTC
Verified on 5.10.12.3


Note You need to log in before you can comment on or make changes to this bug.